﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Merthsoft.CALCnet;

namespace Chat_ {
	public partial class Connect : Form {
		Random r = new Random();
		public CALCnet calcnet;
		public string username;

		public Connect() {
			InitializeComponent();
		}

		private void ConnectButton_Click(object sender, EventArgs e) {
			byte[] calcID = CALCnet.RandomCalcID();
			calcnet = new CALCnet(hubBox.Text, localBox.Text + r.Next().ToString(), serverBox.Text, int.Parse(portBox.Text), calcID);
			calcnet.Connect();
			username = usernameBox.Text;
			this.Close();
		}
	}
}
